#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - install postgrsql package
#
# Copyright (c) 2004 Frank Meyer <frank@eisfair(dot)org>
#
# Creation:    30.07.2004 fm
# Last update: $Id: install.sh 27965 2011-04-06 19:48:35Z dv $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

#------------------------------------------------------------------------------
# include eisfair script library
#------------------------------------------------------------------------------
. /var/install/include/eislib

#-----------------------------------------------------------------------------
# start/stop script
#-----------------------------------------------------------------------------
cd /etc/rc2.d
rm -f K??postgresql84
rm -f S??postgresql84
ln -sf ../init.d/postgresql84 K55postgresql84
cd - >/dev/null 2>&1

#----------------------------------------------------------------------------
# Check database location to rename in case of update from old postgresql
#----------------------------------------------------------------------------
if [ -f "/var/lib/pgsql/PG_VERSION" ]
then
    if [ "$(cat /var/lib/pgsql/PG_VERSION)" = "8.4" ]
    then
        mv /var/lib/pgsql /var/lib/pgsql84
    fi
fi

#----------------------------------------------------------------------------
# Remove menu entry from old package if updating
#----------------------------------------------------------------------------
/var/install/bin/del-menu setup.services.menu setup.services.postgresql.menu

#----------------------------------------------------------------------------
# Create default config
#----------------------------------------------------------------------------
/var/install/config.d/postgresql84-update.sh

#----------------------------------------------------------------------------
# Apply current config
#----------------------------------------------------------------------------
/var/install/config.d/postgresql84.sh

#----------------------------------------------------------------------------
# Start service if enabled
#----------------------------------------------------------------------------
if [ -L /etc/rc2.d/S??postgresql84 ]
then
    /etc/init.d/postgresql84 start
fi

#-----------------------------------------------------------------------------
# End
#-----------------------------------------------------------------------------

exit 0
