#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/preinstall.sh - install postgresql package
#
# Creation:    30.07.2004 fm
# Last update: $Id: preinstall.sh 24512 2010-06-12 21:17:43Z dv $
#
# Copyright (c) 2018 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

. /var/install/include/eislib

#-----------------------------------------------------------------------------
# check version of database directory (in case of updates)
#-----------------------------------------------------------------------------

if [ -f "/var/lib/pgsql/PG_VERSION" ]
then
    test=$(cat /var/lib/pgsql/PG_VERSION)
    if [ "$test" == "8.0" -o "$test" == "8.1" -o "$test" == "8.2" -o "$test" == "8.3" ]
    then
        mecho -info "Installation of old version found!"
        mecho -warn "Automatic data migration no longer is supported by"
        mecho -warn "this package."
        mecho       "Please dump your data and uninstall the old version"
        mecho       "manually!"
        mecho
        mecho -warn "Installation aborted!"
        anykey
        exit 1
    fi
fi

#-----------------------------------------------------------------------------
# patch old uninstall routine
#-----------------------------------------------------------------------------

if [ -f /var/install/deinstall/postgresql ]
then
    sed -e 's/= "update"/= "--update"/g' \
        /var/install/deinstall/postgresql > /tmp/tmpfile$$
    mv /tmp/tmpfile$$ /var/install/deinstall/postgresql
fi

exit 0
